package com.example.haiwei_mom.data;

import java.util.List;

/**
 * 载具工装信息对象 base_tooling_info
 *
 * @author zangch
 * @date 2025-01-08
 */

public class BaseToolingInfo {


    private Long toolingId;

    /**
     * 工装编号
     */
    private String toolingCode;

    /**
     * 工装名称
     */
    private String toolingName;


    /**
     * 工装条码
     */
    private String toolingBarcode;

    /**
     * 工装RFID条码
     */
    private String toolingRfidBarcode;

    /**
     * 物料编号
     */
    private String materialCode;


    private List<TyreInfo> tyreInfoList;

    public List<TyreInfo> getTyreInfoList() {
        return tyreInfoList;
    }

    public void setTyreInfoList(List<TyreInfo> tyreInfoList) {
        this.tyreInfoList = tyreInfoList;
    }

    public Long getToolingId() {
        return toolingId;
    }

    public void setToolingId(Long toolingId) {
        this.toolingId = toolingId;
    }

    public String getToolingCode() {
        return toolingCode;
    }

    public void setToolingCode(String toolingCode) {
        this.toolingCode = toolingCode;
    }

    public String getToolingName() {
        return toolingName;
    }

    public void setToolingName(String toolingName) {
        this.toolingName = toolingName;
    }

    public String getToolingBarcode() {
        return toolingBarcode;
    }

    public void setToolingBarcode(String toolingBarcode) {
        this.toolingBarcode = toolingBarcode;
    }

    public String getToolingRfidBarcode() {
        return toolingRfidBarcode;
    }

    public void setToolingRfidBarcode(String toolingRfidBarcode) {
        this.toolingRfidBarcode = toolingRfidBarcode;
    }

    public String getMaterialCode() {
        return materialCode;
    }

    public void setMaterialCode(String materialCode) {
        this.materialCode = materialCode;
    }
}
