package com.example.haiwei_mom.data.check;

import java.util.List;
import java.util.Optional;

/**
 * @author wanghao
 * @date 2024/3/11  10:09
 */
public class CheckDisposalBeen {

    /**
     * batchAmount : 0
     * passAmount : 0
     * failAmount : 1
     * checkMode : 1
     * checkSample : 10
     * materialCode : 111
     * materialName : 物料测试
     */

    private int batchAmount;
    private int passAmount;
    private int failAmount;
    private String checkMode;
    private int checkSample;
    private String materialCode;
    private String materialName;
    private List<CheckInstanceFiles> qmsCheckInstanceFiles;
    private String checkRuleType;
    private List<CheckActivitieBeen> qmsQualityInstanceActivities;
    /**
     * 1来料检验,2,半成品检验，3成品检验,4工序检验
     *
     * @return
     */
    public String getCheckRuleType() {

        return checkRuleType;
    }

    public List<CheckActivitieBeen> getQmsQualityInstanceActivities() {
        return qmsQualityInstanceActivities;
    }

    public void setQmsQualityInstanceActivities(List<CheckActivitieBeen> qmsQualityInstanceActivities) {
        this.qmsQualityInstanceActivities = qmsQualityInstanceActivities;
    }

    public void setCheckRuleType(String checkRuleType) {
        this.checkRuleType = checkRuleType;
    }

    public List<CheckInstanceFiles> getQmsCheckInstanceFiles() {
        return qmsCheckInstanceFiles;
    }

    public void setQmsCheckInstanceFiles(List<CheckInstanceFiles> qmsCheckInstanceFiles) {
        this.qmsCheckInstanceFiles = qmsCheckInstanceFiles;
    }

    public int getBatchAmount() {
        return batchAmount;
    }

    public void setBatchAmount(int batchAmount) {
        this.batchAmount = batchAmount;
    }

    public int getPassAmount() {
        return passAmount;
    }

    public void setPassAmount(int passAmount) {
        this.passAmount = passAmount;
    }

    public int getFailAmount() {
        return failAmount;
    }

    public void setFailAmount(int failAmount) {
        this.failAmount = failAmount;
    }

    public String getCheckMode() {
        return Optional.ofNullable(checkMode).map(t->t.equals("1") ? "全检" : "抽检").orElse(null);

    }

    public void setCheckMode(String checkMode) {
        this.checkMode = checkMode;
    }

    public int getCheckSample() {
        return checkSample;
    }

    public void setCheckSample(int checkSample) {
        this.checkSample = checkSample;
    }

    public String getMaterialCode() {
        return materialCode;
    }

    public void setMaterialCode(String materialCode) {
        this.materialCode = materialCode;
    }

    public String getMaterialName() {
        return materialName;
    }

    public void setMaterialName(String materialName) {
        this.materialName = materialName;
    }
}
