package com.example.haiwei_mom.data.device;

import android.view.View;
import android.widget.AdapterView;

import androidx.databinding.BaseObservable;

import java.util.ArrayList;
import java.util.List;

/**
 * @author wanghao
 * @date 2024/4/1  9:41
 */
public class BxSubmitBeen extends BaseObservable {

    private Long deviceld;
    private String faultType;
    private String faultDescription;
    private String designOperations;
    private int repairType;
    private int outsrcld;
    //
    private String deviceCode;
    private List<String> faultTypeS;
    private List<Dict> faultTypeList;
    private boolean outsrcVis;
    private List<Outsourcing> outsourcingList;
    private List<String> outsourcingStringList;
    private String selectName;

    public List<String> getOutsourcingStringList() {
        return outsourcingStringList;
    }

    public void setOutsourcingList(List<Outsourcing> outsourcingList) {
        this.outsourcingList = outsourcingList;
        outsourcingStringList=new ArrayList<>(outsourcingList.size());
        outsourcingList.forEach(t->outsourcingStringList.add(t.getOutsrcName()));
        notifyChange();
    }

    public void setFaultTypeList(List<Dict> faultTypeList) {
        this.faultTypeList = faultTypeList;
        faultTypeS = new ArrayList<>();
        faultTypeList.forEach(t -> faultTypeS.add(t.getDictLabel()));
        notifyChange();
    }

    public void repairTypeSelect(int type) {
        repairType = type;
        outsrcVis = (type == 2);
        notifyChange();

    }
    public void setOutsrcld(AdapterView<?> parent, View view, int position, long id ) {
        this.outsrcld = outsourcingList.get(position).getOutsrcId();
    }
    public boolean isOutsrcVis() {
        return outsrcVis;
    }

    public List<String> getFaultTypeS() {
        return faultTypeS;
    }

    public void setFaultTypeS(List<String> faultTypeS) {
        this.faultTypeS = faultTypeS;
    }

    public List<Dict> getFaultTypeList() {
        return faultTypeList;
    }

    public void setOutsrcVis(boolean outsrcVis) {
        this.outsrcVis = outsrcVis;
    }

    public Long getDeviceld() {
        return deviceld;
    }

    public void setDeviceld(Long deviceld) {
        this.deviceld = deviceld;
    }

    public String getFaultType() {
        return faultType;
    }

    public void setFaultType(String faultType) {
        this.faultType = faultType;
    }

    public String getFaultDescription() {
        return faultDescription;
    }

    public void setFaultDescription(String faultDescription) {
        this.faultDescription = faultDescription;
    }

    public void selectFaultDescription(AdapterView<?> parent, View view, int position, long id) {
        this.faultType = faultTypeList.get(position).getDictValue();
    }

    public String getDesignOperations() {
        return designOperations;
    }

    public void setDesignOperations(String designOperations) {
        this.designOperations = designOperations;
        notifyChange();
    }

    public int getRepairType() {
        return repairType;
    }

    public void setRepairType(int repairType) {
        this.repairType = repairType;
    }

    public int getOutsrcld() {
        return outsrcld;
    }



    public String getDeviceCode() {
        return deviceCode;
    }

    public void setDeviceCode(String deviceCode) {
        this.deviceCode = deviceCode;
    }

    public String getSelectName() {
        return selectName;
    }

    public void setSelectName(String selectName) {
        this.selectName = selectName;
    }
}
