package com.example.haiwei_mom.data.device;

import java.util.List;

/**
 * @author wanghao
 * @date 2024/3/27  15:48
 */
public class MaintainBeen {

    /**
     * createBy : null
     * createTime : 2024-03-21 15:49:38
     * updateBy : null
     * updateTime : null
     * remark : null
     * maintInstanceId : 9
     * planMaintId : null
     * wfProcessId : 103
     * billsMaintCode : 20240321154938MI005
     * planBeginTime : 2024-03-21
     * realBeginTime : null
     * planEndTime : 2024-03-22
     * realEndTime : null
     * maintStatus : 1
     * maintCompRate : null
     * isFlag : null
     * maintLevel : 1
     * maintGroup : 组别1
     * maintSupervisor : 张三
     * maintStatusStr : null
     * dmsBillsMaintDetailList : []
     */

    private String createTime;
    private Long maintInstanceId;
    private Long wfProcessId;
    private String billsMaintCode;
    private String planEndTime;
    private Long maintLevel;
    private String maintLevelName;
    private String maintGroup;
    private String maintSupervisor;
    private String maintStatusStr;
    private Long maintStatus;
    private List<MaintainDetail> dmsBillsMaintDetailList;

    public void setMaintLevelName(String maintLevelName) {
        this.maintLevelName = maintLevelName;
    }


    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public Long getMaintInstanceId() {
        return maintInstanceId;
    }

    public void setMaintInstanceId(Long maintInstanceId) {
        this.maintInstanceId = maintInstanceId;
    }

    public Long getWfProcessId() {
        return wfProcessId;
    }

    public void setWfProcessId(Long wfProcessId) {
        this.wfProcessId = wfProcessId;
    }

    public String getBillsMaintCode() {
        return billsMaintCode;
    }

    public void setBillsMaintCode(String billsMaintCode) {
        this.billsMaintCode = billsMaintCode;
    }

    public String getPlanEndTime() {
        return planEndTime;
    }

    public void setPlanEndTime(String planEndTime) {
        this.planEndTime = planEndTime;
    }

    public Long getMaintLevel() {
        // 保养级别：1-日常保养；2-月度保养；3-年度保养

        return maintLevel;
    }

    public String getMaintLevelName() {
        if (maintLevel==null) return "";
        if (maintLevel ==1 ) {
            return "日常保养";
        } else if (maintLevel ==2) {
            return "月度保养";
        } else if (maintLevel ==3) {
            return "年度保养";
        }
        return maintLevelName;
    }

    public void setMaintLevel(Long maintLevel) {
        this.maintLevel = maintLevel;
    }

    public Long getMaintStatus() {
        return maintStatus;
    }

    public void setMaintStatus(Long maintStatus) {
        this.maintStatus = maintStatus;
    }

    public String getMaintGroup() {
        return maintGroup;
    }

    public void setMaintGroup(String maintGroup) {
        this.maintGroup = maintGroup;
    }

    public String getMaintSupervisor() {
        return maintSupervisor;
    }

    public void setMaintSupervisor(String maintSupervisor) {
        this.maintSupervisor = maintSupervisor;
    }

    public String getMaintStatusStr() {
        if (maintStatus==null) return "null";
        if (maintStatus==1) {
            return "待保养";
        } else if (maintStatus==2) {
            return "保养中";
        } else if (maintStatus ==3) {
            return "保养完成";
        }
        return maintStatusStr;
    }

    public void setMaintStatusStr(String maintStatusStr) {
        this.maintStatusStr = maintStatusStr;
    }

    public List<MaintainDetail> getDmsBillsMaintDetailList() {
        return dmsBillsMaintDetailList;
    }

    public void setDmsBillsMaintDetailList(List<MaintainDetail> dmsBillsMaintDetailList) {
        this.dmsBillsMaintDetailList = dmsBillsMaintDetailList;
    }

    @Override
    public String toString() {
        return "MaintainBeen{" +
                "createTime='" + createTime + '\'' +
                ", maintInstanceId=" + maintInstanceId +
                ", wfProcessId=" + wfProcessId +
                ", billsMaintCode='" + billsMaintCode + '\'' +
                ", planEndTime='" + planEndTime + '\'' +
                ", maintLevel='" + maintLevel + '\'' +
                ", maintLevelName='" + maintLevelName + '\'' +
                ", maintGroup='" + maintGroup + '\'' +
                ", maintSupervisor='" + maintSupervisor + '\'' +
                ", maintStatusStr='" + maintStatusStr + '\'' +
                ", maintStatus='" + maintStatus + '\'' +
                ", dmsBillsMaintDetailList=" + dmsBillsMaintDetailList +
                '}';
    }
}
