package com.example.haiwei_mom.data.device;

import androidx.databinding.BaseObservable;

import java.util.List;

/**
 * @author wanghao
 * @date 2024/3/27  16:05
 */
public class MaintainDetail extends BaseObservable {

    /**
     * createBy : null
     * createTime : null
     * updateBy : null
     * updateTime : null
     * remark : null
     * billsMaintDetailId : 18
     * maintInstanceId : 9
     * deviceId : 1
     * stationId : 2
     * maintStandardId : 2
     * operationDescription : null
     * maintStatus : null
     * isFlag : null
     * beginTime : null
     * endTime : null
     * deviceCode : 22601
     * deviceName : 设备一号
     * maintStationName : 部位2
     * maintProtocol : 2
     * maintOperationDescription : 2
     * typeName : 测试类型1
     */


    private Long billsMaintDetailId;
    private Long maintInstanceId;
    private Long deviceId;
    private Long stationId;
    private Long maintStandardId;
    private String operationDescription;
    private String deviceCode;
    private String deviceName;
    private String maintStationName;
    private String maintProtocol;
    private String maintOperationDescription;
    private String typeName;
    private Long maintStatus;
    private String maintStatusStr;
    // 显示数据
    private String buttonText;
    private boolean buttonVisb;

    private List<MaintainProject> dmsBillsMaintDetailProjectList;

    public List<MaintainProject> getDmsBillsMaintDetailProjectList() {
        return dmsBillsMaintDetailProjectList;
    }

    public void setDmsBillsMaintDetailProjectList(List<MaintainProject> dmsBillsMaintDetailProjectList) {
        this.dmsBillsMaintDetailProjectList = dmsBillsMaintDetailProjectList;
    }

    public String getButtonText() {
        try {
            if ( maintStatus !=3) {
                return "开始保养";
            }
        }catch (Exception exception){
            return "子表maintStatus报错";
        }

        // return "完成保养";
        return "查看保养";


    }

    public Long getMaintStatus() {
        return maintStatus;
    }

    public void setMaintStatus(Long maintStatus) {
        this.maintStatus = maintStatus;
    }

    public boolean isButtonVisb() {
        if (maintStatus != null && maintStatus==3) {
            return false;
        }
        return true;
    }

    public String getMaintStatusStr() {
        if (maintStatus == null){
            return "待保养";
        } else if (maintStatus==1) {
            return "待保养";
        } else if (maintStatus ==2) {
            return "保养中";
        } else if (maintStatus ==3) {
            return "保养完成";
        }

        return null;
    }

    public Long getBillsMaintDetailId() {
        return billsMaintDetailId;
    }



    public void setMaintStatusStr(String maintStatusStr) {
        this.maintStatusStr = maintStatusStr;
    }

    public void setButtonText(String buttonText) {
        this.buttonText = buttonText;
    }

    public void setButtonVisb(boolean buttonVisb) {
        this.buttonVisb = buttonVisb;
    }

    public void setBillsMaintDetailId(Long billsMaintDetailId) {
        this.billsMaintDetailId = billsMaintDetailId;
    }

    public Long getMaintInstanceId() {
        return maintInstanceId;
    }

    public void setMaintInstanceId(Long maintInstanceId) {
        this.maintInstanceId = maintInstanceId;
    }

    public Long getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(Long deviceId) {
        this.deviceId = deviceId;
    }

    public Long getStationId() {
        return stationId;
    }

    public void setStationId(Long stationId) {
        this.stationId = stationId;
    }

    public Long getMaintStandardId() {
        return maintStandardId;
    }

    public void setMaintStandardId(Long maintStandardId) {
        this.maintStandardId = maintStandardId;
    }

    public String getOperationDescription() {
        return operationDescription;
    }

    public void setOperationDescription(String operationDescription) {
        this.operationDescription = operationDescription;
    }

    public String getDeviceCode() {
        return deviceCode;
    }

    public void setDeviceCode(String deviceCode) {
        this.deviceCode = deviceCode;
    }

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public String getMaintStationName() {
        return maintStationName;
    }

    public void setMaintStationName(String maintStationName) {
        this.maintStationName = maintStationName;
    }

    public String getMaintProtocol() {
        return maintProtocol;
    }

    public void setMaintProtocol(String maintProtocol) {
        this.maintProtocol = maintProtocol;
    }

    public String getMaintOperationDescription() {
        return maintOperationDescription;
    }

    public void setMaintOperationDescription(String maintOperationDescription) {
        this.maintOperationDescription = maintOperationDescription;
    }

    public String getTypeName() {
        return typeName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }

    @Override
    public String toString() {
        return "MaintainDetail{" +
                "billsMaintDetailId=" + billsMaintDetailId +
                ", maintInstanceId=" + maintInstanceId +
                ", deviceId=" + deviceId +
                ", stationId=" + stationId +
                ", maintStandardId=" + maintStandardId +
                ", operationDescription='" + operationDescription + '\'' +
                ", deviceCode='" + deviceCode + '\'' +
                ", deviceName='" + deviceName + '\'' +
                ", maintStationName='" + maintStationName + '\'' +
                ", maintProtocol='" + maintProtocol + '\'' +
                ", maintOperationDescription='" + maintOperationDescription + '\'' +
                ", typeName='" + typeName + '\'' +
                ", maintStatus='" + maintStatus + '\'' +
                ", maintStatusStr='" + getMaintStatusStr() + '\'' +
                ", buttonText='" + buttonText + '\'' +
                ", buttonVisb=" + buttonVisb +
                '}';
    }
}
