package com.example.haiwei_mom.data;

import androidx.databinding.BaseObservable;

import java.math.BigDecimal;


/**
 * 盘点记录和调整工单视图对象 wms_inventory_check_record
 *
 * @author LionLi
 * @date 2025-01-10
 */

public class CheckRecordVo extends BaseObservable {


    /**
     * 物料大类
     */

    private String materialCategories;

    /**
     * 盘点单号
     */

    private String checkCode;

    /**
     * 批次码
     */
 
    private String batchCode;

    /**
     * 物料id
     */

    private Long materialId;

    /**
     * 库位编码
     */

    private String locationCode;

    /**
     * 物料编码
     */

    private String materialCode;

    /**
     * 物料名称
     */
    
    private String materialName;

    /**
     * 库存数量
     */
    
    private BigDecimal inventoryQty;

    /**
     * 盘点数量
     */
    
    private String checkQty;

    /**
     * 盘点状态(0异常，1正常)
     */
    
    private String checkStatus;

    /**
     * erp同步状态
     */
    
    private String erpSynchronousStatus;

    public String getCheckCode() {
        return checkCode;
    }

    public void setCheckCode(String checkCode) {
        this.checkCode = checkCode;
    }

    public String getBatchCode() {
        return batchCode;
    }

    public void setBatchCode(String batchCode) {
        this.batchCode = batchCode; notifyChange();
    }

    public Long getMaterialId() {
        return materialId;
    }

    public void setMaterialId(Long materialId) {
        this.materialId = materialId;
    }

    public String getLocationCode() {
        return locationCode;
    }

    public void setLocationCode(String locationCode) {
        this.locationCode = locationCode;
    }

    public String getMaterialCode() {
        return materialCode;
    }

    public void setMaterialCode(String materialCode) {
        this.materialCode = materialCode;
    }

    public String getMaterialName() {
        return materialName;
    }

    public void setMaterialName(String materialName) {
        this.materialName = materialName;
    }

    public BigDecimal getInventoryQty() {
        return inventoryQty;
    }

    public void setInventoryQty(BigDecimal inventoryQty) {
        this.inventoryQty = inventoryQty;
    }

    public String getCheckQty() {
        return checkQty;

    }

    public void setCheckQty(String checkQty) {
        this.checkQty = checkQty; notifyChange();
    }
}
