package com.example.haiwei_mom.data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.Observable;

public class RawReturnVo extends Observable {

    private String batchCode;
    private Long outstockRecordId;
    /**
     * 物料id
     */

    private Long materialId;

    /**
     * 库位编码
     */

    private String locationCode;

    /**
     * 出库数量
     */

    private double outstockQty;

    /**
     * 物料信息
     */
    private String materialCode;
    private String materialName;
    private String materialUnit;
    private String materialSpec;
    private String returnFlag;
    private String planAmount;
    private String materialCategories;
    private Long warehouseId;
    public String getBatchCode() {
        return batchCode;
    }

    public Long getMaterialId() {
        return materialId;
    }

    public String getMaterialCategories() {
        return materialCategories;
    }

    public Long getOutstockRecordId() {
        return outstockRecordId;
    }

    public String getLocationCode() {
        return locationCode;
    }

    public double getOutstockQty() {
        return outstockQty;
    }

    public String getMaterialCode() {
        return materialCode;
    }

    public String getMaterialName() {
        return materialName;
    }

    public String getMaterialUnit() {
        return materialUnit;
    }

    public String getMaterialSpec() {
        return materialSpec;
    }

    public String getReturnFlag() {
        return returnFlag;
    }

    public void setBatchCode(String batchCode) {
        this.batchCode = batchCode;
    }

    public String getPlanAmount() {
        return planAmount;
    }

    public void setPlanAmount(String planAmount) {
        this.planAmount = planAmount;
    }

    public Long getWarehouseId() {
        return warehouseId;
    }
}
