package com.example.haiwei_mom.data;


import androidx.databinding.BaseObservable;

/**
 * 半成品库存对象 wms_hpp_storage_detail
 */

public class SemiOutVo extends BaseObservable {

    private Long objId;
    /**
     * 流水卡号
     */
    private String cardNo;

    /**
     * 工装架子号
     */
    private String shelfNo;

    /**
     * 入库类型
     */
    private String instockType;

    /**
     * 物料Id
     */
    private Long materialId;

    /**
     * 库位id
     */
    private Long storePlaceId;

    /**
     * 密炼来料数量
     */
    private double sourceNum;

    /**
     * 库存数量
     */
    private double storageNum;
    private String createTime;
    private String storePlaceCode;
    private String materialCode;
    private String materialSpec;
    private double minParkingTime;
    private double maxParkingTime;
    private String minTime;
    private String maxTime;
    private String unitName;

    public String getMaterialSpec() {
        return materialSpec;
    }

    public String getUnitName() {
        return unitName;
    }

    public String getCardNo() {
        return cardNo;
    }

    public void setCardNo(String cardNo) {
        this.cardNo = cardNo;
    }

    public String getShelfNo() {
        return shelfNo;
    }

    public void setShelfNo(String shelfNo) {
        this.shelfNo = shelfNo;
    }

    public double getStorageNum() {
        return storageNum;
    }

    public void setStorageNum(double storageNum) {
        this.storageNum = storageNum;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getMaterialCode() {
        return materialCode;
    }

    public void setMaterialCode(String materialCode) {
        this.materialCode = materialCode;
    }

    public String getMinTime() {
        return minTime;
    }

    public void setMinTime(String minTime) {
        this.minTime = minTime;
    }

    public String getMaxTime() {
        return maxTime;
    }

    public void setMaxTime(String maxTime) {
        this.maxTime = maxTime;
    }


    private double outNumber;

    public double getOutNumber() {
        return outNumber;
    }

    public void setOutNumber(double outNumber) {
        this.outNumber = outNumber;
        notifyChange();
    }

    public Long getObjId() {
        return objId;
    }
}
