package com.example.haiwei_mom.qm.data;

import androidx.databinding.BaseObservable;

import java.util.Objects;

/**
 * @author wanghao
 * @date 2023/11/17  17:00
 */
public class DefectBeen extends BaseObservable {

    private String defectCode;
    private String defectDesc;

    private int index;
    private int objId;
    private String materialName;
    private String materialCategories;
    private String materialSubclass;

    private String stationCode;
    private String qualityDefectCode;
    private String qualityDefectName;
    private String processResult;// 返修结果
    private String productLineName;// pda 工位名称
    private String productLineCode;

    private String inspectorTime;


    public String getDefectCode() {
        return defectCode;
    }

    public void setDefectCode(String defectCode) {
        this.defectCode = defectCode;
    }

    public String getDefectDesc() {
        return defectDesc;
    }

    public void setDefectDesc(String defectDesc) {
        this.defectDesc = defectDesc;
    }

    public String getInspectorTime() {
        return inspectorTime;
    }

    public void setInspectorTime(String inspectorTime) {
        this.inspectorTime = inspectorTime;
    }

    public String getProductLineCode() {
        return productLineCode;
    }

    public void setProductLineCode(String productLineCode) {
        this.productLineCode = productLineCode;
    }

    public String getProductLineName() {
        return productLineName;
    }

    public void setProductLineName(String productLineName) {
        this.productLineName = productLineName;
    }

    public String getStationCode() {
        return stationCode;
    }

    public void setStationCode(String stationCode) {
        this.stationCode = stationCode;
    }

    public String getProcessResult() {
        return processResult;
    }

    public void setProcessResult(String processResult) {
        this.processResult = processResult;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        DefectBeen that = (DefectBeen) o;

        return Objects.equals(defectDesc, that.defectDesc);
    }

    @Override
    public int hashCode() {
        return defectDesc != null ? defectDesc.hashCode() : 0;
    }

    public int getObjId() {
        return objId;
    }

    public void setObjId(int objId) {
        this.objId = objId;
    }

    public int getIndex() {
        return index;
    }

    public void setIndex(int index) {
        this.index = index;
    }

    public String getMaterialCategories() {
        return materialCategories;
    }

    public void setMaterialCategories(String materialCategories) {
        this.materialCategories = materialCategories;
    }

    public String getMaterialSubclass() {
        return materialSubclass;
    }

    public void setMaterialSubclass(String materialSubclass) {
        this.materialSubclass = materialSubclass;
    }

    public String getQualityDefectCode() {
       return defectCode;
        // return qualityDefectCode;
    }

    public void setQualityDefectCode(String qualityDefectCode) {
        this.qualityDefectCode = qualityDefectCode;
    }

    public String getQualityDefectName() {
        // return qualityDefectName;
        return getDefectDesc();
    }

    public void setQualityDefectName(String qualityDefectName) {
        this.qualityDefectName = qualityDefectName;
    }

    public String getMaterialName() {
        return materialName;
    }

    public void setMaterialName(String materialName) {
        this.materialName = materialName;
    }

    @Override
    public String toString() {
        return "DefectBeen{" +
                "index=" + index +
                ", objId=" + objId +
                // ", materialName='" + materialName + '\'' +
                // ", materialCategories='" + materialCategories + '\'' +
                // ", materialSubclass='" + materialSubclass + '\'' +
                ", qualityDefectCode='" + qualityDefectCode + '\'' +
                ", qualityDefectName='" + qualityDefectName + '\'' +
                '}';
    }
}
